__gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >(3cxx)

NAME
__gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >

SYNOPSIS

Inherited by __gnu_parallel::_LoserTreePointer< __stable, _Tp, _Compare >, and __gnu_parallel::_LoserTreePointer< false, _Tp, _Compare >.

  Classes

struct _Loser

  Public Member Functions

_LoserTreePointerBase (unsigned int __k, _Compare __comp=std::less< _Tp >())
int __get_min_source ()
void __insert_start (const _Tp &__key, int __source, bool __sup)

  Protected Attributes

_Compare _M_comp
unsigned int _M_ik
unsigned int _M_k
_Loser * _M_losers
unsigned int _M_offset

Detailed Description

  template<typename _Tp, typename _Compare>
class __gnu_parallel::_LoserTreePointerBase< _Tp, _Compare >" Base class of _Loser Tree implementation using pointers.

Definition at line 357 of file losertree.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.